Subject: bug#15980: closed (Re: bug#15980: 24.3.50; `minibuffer-complete-word': case where it does not work correctly)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Jan 2014 23:38:03 +0000

Your bug report

#15980: 24.3.50; `minibuffer-complete-word': case where it does not work correctly

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15980: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15980
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15980: 24.3.50; `minibuffer-complete-word': case where it does not work correctly
From: Bastien <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Jan 2014 00:37:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Drew,

Drew Adams <[email-masked]> writes:

> OK.  But again, if you can describe the actual behavior, perhaps
> it is enough to correct what we say currently.

This is now fixed in trunk.  Please test and report any problem.

-- 
 Bastien

Subject: 24.3.50; `minibuffer-complete-word': case where it does not work correctly
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Tue, 26 Nov 2013 09:11:45 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Seems like the behavior is wrong in this case, but I see that the same
behavior is found for Emacs 20 through 24.  So I cannot say for sure
whether this is a bug.  At least the behavior does not seem to follow
the doc.

The doc ((emacs) `Completion Commands') says that SPC does this:

  Complete up to one word from the minibuffer text before point
  (`minibuffer-complete-word').

emacs -Q

(defun cmd\ \ \ \ w\ ith\ spaces () (interactive) (message "SPACES"))

(defun cmd-without-spaces () (interactive) (message "NOPE"))

M-x cm SPC ; correctly completes to `cmd'
SPC        ; completes to `cmd '

Since SPC is supposed to complete a word at a time, and since both ` '
and `-' are word separators, I would expect that there are two
word completions for the prefix `cmd': `cmd ' and `cmd-'.

So I would expect to see *Completions* displayed, showing the two
candidates `cmd    w ith spaces' and `cmd-without-spaces'.

Admittedly, this is a corner use case.

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-11-20 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'